net.i2p.data.i2np

## Enum DatabaseLookupMessage.Type

- java.lang.Object
- - java.lang.Enum<DatabaseLookupMessage.Type>
  - - net.i2p.data.i2np.DatabaseLookupMessage.Type

- All Implemented Interfaces:
    Serializable, Comparable<DatabaseLookupMessage.Type>
  Enclosing class:
    DatabaseLookupMessage

      public static enum DatabaseLookupMessage.Type
      extends Enum<DatabaseLookupMessage.Type>

  Database lookup type enumeration. @since 0.9.16

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY` default - LS or RI
    `EXPL` exploratory - return closest non-floodfill router infos
    `LS` lease set only
    `RI` router info only

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DatabaseLookupMessage.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DatabaseLookupMessage.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANY

          public static final DatabaseLookupMessage.Type ANY

      default - LS or RI

    - #### EXPL

          public static final DatabaseLookupMessage.Type EXPL

      exploratory - return closest non-floodfill router infos

    - #### LS

          public static final DatabaseLookupMessage.Type LS

      lease set only

    - #### RI

          public static final DatabaseLookupMessage.Type RI

      router info only

  - ### Method Detail

    - #### valueOf

          public static DatabaseLookupMessage.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static DatabaseLookupMessage.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DatabaseLookupMessage.Type c : DatabaseLookupMessage.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared